From dc82ab33783e7ed62f0a013fdf3d19a7a2388775 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 16 Apr 2021 01:44:53 -0500
Subject: [PATCH 06/27] BRIN minmax-multi indexes: between / procedures /
 deduplicate

ab596105b55f1d7fbd5a66b66f65227d210b047d
---
 src/backend/access/brin/brin_minmax_multi.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/access/brin/brin_minmax_multi.c b/src/backend/access/brin/brin_minmax_multi.c
index 4163abef3f..5e4b234cc6 100644
--- a/src/backend/access/brin/brin_minmax_multi.c
+++ b/src/backend/access/brin/brin_minmax_multi.c
@@ -248,7 +248,7 @@ typedef struct DistanceValue
 } DistanceValue;
 
 
-/* Cache for support and strategy procesures. */
+/* Cache for support and strategy procedures. */
 
 static FmgrInfo *minmax_multi_get_procinfo(BrinDesc *bdesc, uint16 attno,
 										   uint16 procnum);
@@ -1311,7 +1311,7 @@ compare_distances(const void *a, const void *b)
 }
 
 /*
- * Given an array of expanded ranges, compute distance of the gaps betwen
+ * Given an array of expanded ranges, compute distance of the gaps between
  * the ranges - for ncranges there are (ncranges-1) gaps.
  *
  * We simply call the "distance" function to compute the (max-min) for pairs
@@ -1623,7 +1623,7 @@ ensure_free_space_in_buffer(BrinDesc *bdesc, Oid colloid,
 	 *
 	 * We don't simply check against range->maxvalues again. The deduplication
 	 * might have freed very little space (e.g. just one value), forcing us to
-	 * do depuplication very often. In that case it's better to do compaction
+	 * do deduplication very often. In that case it's better to do compaction
 	 * and reduce more space.
 	 */
 	if (2 * range->nranges + range->nvalues <= range->maxvalues * MINMAX_BUFFER_LOAD_FACTOR)
-- 
2.17.0

